ProtocolKick 1.1.2

Kick people who are using another protocol then you want!

  1. Bjarn
    Contributors:
    ItsJustBjarn
    ProtocolKick
    Kick people who are using another protocol then you want!

    Are you running Spigot 1.8, but still bothering about BungeeCord being compatible with both 1.7 and 1.8? And are your players complaining they can't join with 1.7 because the ping says they can join your server? Then this plugin is definitely meant for you!

    With this plugin you can set the protocol you want to support, by example, Minecraft 1.8 is protocol 47.

    Features:

    • Change the protocoltext (see example)
    • Change the motd when client is out of date
    • Cancel connect with a kickmessage (see example)
    • It's very lightweight and optimized!

    Examples:
    - When pinging with Minecraft 1.7.10:

    [​IMG]

    - When connecting with Minecraft 1.7.10:

    [​IMG]

    - But when connecting with 1.8, it shows the default motd:

    [​IMG]

    Configuration:
    Code (Text):
    # ProtocolKick by ItsJustBjarn
    # If you need help, PM me on the Spigot forums
    #
    # Protocolnumbers can be found in the description on the Spigot page. (47 = 1.8)

    protocolnumber: 47
    settings:
       toggle:
          kick: true
          protocoltext: true
          motd: true
       messages:
          # You can use colorcodes like &c and &l. You can also use '#newline' to get a new line.
          kick: '&4Please consider updating to Minecraft 1.8! #newline We have been updated to 1.8'

          # You can use colorcodes like &c and &l.
          protocoltext: 'Outdated Client'

          # You can use colorcodes like &c and &l. You can also use '#newline' to get a new line.
          motd: '&cPlease update to &lMinecraft&c 1.8 to join!'
    Click here to see the source on GitHub
    Kagrurnaax, DonyorM and ThatCodesTho like this.

Recent Reviews

  1. SherComp
    SherComp
    5/5,
    Version: 1.1.2
    What is the 1.9 protocol number? please pm me to tell it! thnx i really love this plugin it works on 1.9
  2. Bolean
    Bolean
    5/5,
    Version: 1.1.2
    thanks :)
  3. Bolean
    Bolean
    3/5,
    Version: 1.0.1
    1. Bjarn
      Author's Response
      It has been fixed now! Thanks =)
  4. lolboy1231
    lolboy1231
    3/5,
    Version: 1.0.1
    When i put it on my Bungee Cord i cant see The config file
    1. Bjarn
      Author's Response
      It has been fixed now! Thanks =)
  5. GrandmaJam
    GrandmaJam
    5/5,
    Version: 1.0.1
    Amazing!
  6. XxCoolGamesxX
    XxCoolGamesxX
    5/5,
    Version: 1.0.1
    Awesome Resource!
    1. Bjarn
      Author's Response
      Thanks! Any features you want to see in the future? :)
  7. storm345
    storm345
    5/5,
    Version: 1.0
    This is an great resource. The network I help run uses it. Very good.